Subject: Re: [PATCH] check-ignore: correct documentation about output

From: Dennis Kaarsemaker <[email-masked]>
Date: Fri, 20 Nov 2015 21:29:41 +0100

[Peff, sorry for the duplicate mail. It seems I can't brain today...] 

On vr, 2015-11-20 at 06:31 -0500, Jeff King wrote:
> On Sun, Nov 08, 2015 at 09:10:39PM +0100, Dennis Kaarsemaker wrote:
> 
> > By default git check-ignore shows only the filenames that will be
> > ignored, not the pattern that causes their exclusion.
> 
> Yeah, I think the described behavior is really about the "-v" output.

Yup.

> > --- a/Documentation/git-check-ignore.txt
> > +++ b/Documentation/git-check-ignore.txt
> > @@ -16,10 +16,9 @@ DESCRIPTION
> >  -----------
> >  
> >  For each pathname given via the command-line or from a file via
> > -`--stdin`, show the pattern from .gitignore (or other input files
> > to
> > -the exclude mechanism) that decides if the pathname is excluded or
> > -included.  Later patterns within a file take precedence over
> > earlier
> > -ones.
> > +`--stdin`, check whether the file is excluded by .gitignore (or
> > other
> > +input files to the exclude mechanism) and output the path if it is
> > +excluded.
> 
> This just drops the mention of patterns entirely. Is the description 
> of "-v" sufficient to cover this (especially I am thinking of the
> last-pattern-wins behavior)?

The -v should then also describe precendence rules between files. Or
maybe just link to gitignore(5).

-- 
Dennis Kaarsemaker
www.kaarsemaker.net